import bpy
from bpy.props import BoolProperty


class QuickPipePreferences(bpy.types.AddonPreferences):
    bl_idname = __package__

    display_wire: BoolProperty(
        name="Display wireframe",
        description="Show wireframe during pipe creation",
        default=False,
    )

    convert_to_mesh: BoolProperty(
        name="Convert to mesh",
        description="If active, always convert pipes to mesh",
        default=False,
    )

    enable_smooth_shading: BoolProperty(
        name="Enable smooth shading",
        description="Enable smooth shading for pipes",
        default=True,
    )

    def draw(self, context):
        layout = self.layout
        split = layout.split()
        col = split.column()
        col.prop(self, "display_wire")
        col = split.column()
        col.prop(self, "convert_to_mesh")
        col = split.column()
        col.prop(self, "enable_smooth_shading")
        # layout.operator("wm.url_open", text="").url = ""
